commit:     69bd2ce367456bdf7529578030ffbf7b454a0e1f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  7 00:47:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 00:47:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69bd2ce3

sys-fs/xfsdump: drop obsolete sys-apps/dmapi dependency

Bug: https://bugs.gentoo.org/747181
Bug: https://bugs.gentoo.org/804306
Bug: https://bugs.gentoo.org/811891
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild | 71 ++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

diff --git a/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild 
b/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild
new file mode 100644
index 00000000000..aafb02db275
--- /dev/null
+++ b/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="xfs dump/restore utilities"
+HOMEPAGE="https://xfs.wiki.kernel.org/";
+SRC_URI="https://www.kernel.org/pub/linux/utils/fs/xfs/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE="ncurses nls"
+
+RDEPEND="
+       >=sys-apps/attr-2.4.19
+       sys-apps/util-linux
+       sys-fs/e2fsprogs
+       >=sys-fs/xfsprogs-3.2.0
+       ncurses? ( sys-libs/ncurses:0= )
+"
+DEPEND="${RDEPEND}
+       nls? (
+               sys-devel/gettext
+               elibc_uclibc? ( dev-libs/libintl )
+       )
+"
+BDEPEND="ncurses? ( virtual/pkgconfig )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.1.9-prompt-overflow.patch #335115
+       "${FILESDIR}"/${PN}-3.1.9-no-symlink.patch #311881
+       "${FILESDIR}"/${PN}-3.1.6-linguas.patch #561664
+       "${FILESDIR}"/${PN}-3.1.9-fix-docs.patch
+       "${FILESDIR}"/${PN}-3.1.9-skip-inventory-debian-subfolder.patch
+)
+
+src_prepare() {
+       sed -i \
+               -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+               include/builddefs.in \
+               || die
+
+       sed -i \
+               -e "s:enable_curses=[a-z]*:enable_curses=$(usex ncurses):" \
+               -e "s:libcurses=\"[^\"]*\":libcurses='$(use ncurses && 
$(tc-getPKG_CONFIG) --libs ncurses)':" \
+               configure || die #605852
+
+       default
+}
+
+src_configure() {
+       unset PLATFORM #184564
+       export OPTIMIZER=${CFLAGS}
+       export DEBUG=-DNDEBUG
+
+       local myeconfargs=(
+               $(use_enable nls gettext)
+               --libdir="${EPREFIX}/$(get_libdir)"
+               --libexecdir="${EPREFIX}/usr/$(get_libdir)"
+               --sbindir="${EPREFIX}/sbin"
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       # enable verbose build
+       emake V=1
+}

Reply via email to